#ifndef XORGAPP_H
#define XORGAPP_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "guiFrame.h"

// **************************
// Class Declaration
// **************************

class xorgApp : public wxApp
{

public:
  virtual ~xorgApp(void);           // destructor
  virtual bool OnInit(void);        // init application
  void SetLanguage(const int lang=wxLANGUAGE_DEFAULT);   // set language

protected:
    wxLocale *app_locale;
    wxString appDir;
};

DECLARE_APP(xorgApp);

#endif // XORGAPP_H

